- name: Install packages
  package:
    name:
      - zrepl
    state: present

- name: Create directories
  file:
    name: "{{ item }}"
    state: directory
    mode: 0755
    owner: root
    group: wheel
  loop:
    - /usr/local/etc/zrepl

- name: Configure zrepl
  template:
    src: templates/zrepl.yml.j2
    dest: /usr/local/etc/zrepl/zrepl.yml
    mode: 0440
    owner: root
    group: wheel
    validate: "zrepl configcheck --config %s"
  notify: "restart zrepl"

- import_tasks: tasks/freebsd.yaml
  when: 'os_flavor == "freebsd"'

- import_tasks: tasks/linux.yaml
  when: 'os_flavor == "linux"'
